package com.gyee.frame.service.ticket;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gyee.frame.model.ticket.Wobugeq;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chenmh
 * @since 2020-06-02
 */
public interface WobugeqService extends IService<Wobugeq> {

    /**
     * 分页
     * @param pageNum
     * @param dept
     * @return
     */
    IPage<Wobugeq> selectPage(long pageNum, String dept);

    /**
     * 更新缺陷单 wobugeq 主表状态
     *
     * @param id
     * @param startNodeId
     * @param endNodeId
     * @return
     */
    boolean updateTicket(double id, double startNodeId, double endNodeId);
}
